- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cWatch_cPolymorphic Class Reference
[Internal classes]

`#include <cwatch.h>`

Inheritance diagram for cWatch_cPolymorphic:

List of all members.

## Detailed Description

Watch class, specifically for objects subclassed from cPolymorphic.

## Public Member Functions
virtual const char * | className () const
virtual std::string | info () const
virtual bool | supportsAssignment () const

## Member Function Documentation

virtual const char* cWatch_cPolymorphic::className | ( |  | ) | const`[inline, virtual]`

| Returns a pointer to the class name string. This method is implemented using typeid (C++ RTTI), and it does not need to be overridden in subclasses. Reimplemented from cPolymorphic.

virtual std::string cWatch_cPolymorphic::info | ( |  | ) | const`[inline, virtual]`

| Can be redefined to produce a one-line description of object into `buf'. The string appears in the graphical user interface (Tkenv) e.g. when the object is displayed in a listbox. The returned string should possibly be at most 80-100 characters long, and must not contain newline. See also: detailedInfo() Reimplemented from cPolymorphic.

virtual bool cWatch_cPolymorphic::supportsAssignment | ( |  | ) | const`[inline, virtual]`

| Tells if changing the variable's value via assign() is supported. Implements cWatchBase.

The documentation for this class was generated from the following file:

- cwatch.h